Subject: Re: 23.0.60; Alpha handling messes with window manager's work [patch]

From: Chong Yidong <[email-masked]>
Date: Wed, 12 Nov 2008 10:51:36 -0500

> Window manager I'm using has an option of setting window's opacity
> depending on focus.  The recent addition of 'alpha' frame parameter
> seems to mess with what window manager is trying to do (ie. I'm ending
> up with emacs frame fully opaque even though window manager tried to
> set the opacity to (say) 50%).
>
> Instead of setting matching options in Emacs and my window manager
> I've decided to disable Emacs' alpha handling altogether, however, was
> unable to find appropriate option, which made me do the patch included
> at the end of the message.

Your patch looks good, and I've checked it in.  Thanks.